package com.ruoyi.generator.mapper;


import com.ruoyi.generator.domain.GenProject;

import java.util.List;

/**
 * 项目表 数据层
 * 
 * @author ruoyi
 */
public interface GenProjectMapper 
{
    /**
     * 查询项目信息
     * 
     * @param projectId 项目ID
     * @return 项目信息
     */
    public GenProject selectGenProjectById(Long projectId);

    /**
     * 查询项目列表
     * 
     * @param genProject 项目信息
     * @return 项目集合
     */
    public List<GenProject> selectGenProjectList(GenProject genProject);

    /**
     * 新增项目
     * 
     * @param genProject 项目信息
     * @return 结果
     */
    public int insertGenProject(GenProject genProject);

    /**
     * 修改项目
     * 
     * @param genProject 项目信息
     * @return 结果
     */
    public int updateGenProject(GenProject genProject);

    /**
     * 删除项目
     * 
     * @param projectId 项目ID
     * @return 结果
     */
    public int deleteGenProjectById(Long projectId);

    /**
     * 批量删除项目
     * 
     * @param projectIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteGenProjectByIds(Long[] projectIds);
} 